# Unlimited Resources [Global Comapt]

Makes all vanilla and modded resources infinite and allows every resource to be configured as an oil-like resource, replenishing ore, or remain unmodified!

- All vanilla and Space Exploration resources have been configured by default.
- New/Unconfigured resources default to using oil like properties.
- Resource IDs added to the Ignored Resource IDs string in the config will prevent them from being modified.
- Resource IDs added to the Infinite Oil Like Resources string in the config will use oil yield with no depletion.
- Resource IDs added to the Infinite Ore Like Resources string in the config will act as a base game ore but will replenish to 100k when emptied.

Example config string: "iron-ore, copper-ore, stone, a-modded-ore-here"

You can find a list of all resource IDs in %APPDATA%/Factorio/factorio-current.log
Look for lines containing "@__Unlimited-Resources-Global-Compat__/data-final-fixes.lua:" These lines list all resource IDs and whether they're set to infinite or skipped as a result of being included in the Ignored Resource IDs string.