require("scripts.string")

---@type [string]
local IgnoredResourceIDs = settings.startup["ignored-resources"].value:gsub("%s+", ""):split(",")

---@type [string]
local InfiniteOreResources = settings.startup["infinite-ore-resources"].value:gsub("%s+", ""):split(",")

local refillResource = function (event)
    local name = event.entity.name
    if IgnoredResourceIDs[name] then
        return
    end

    if InfiniteOreResources[name] then
        event.entity.amount = 100000
    end
end

script.on_event(defines.events.on_resource_depleted, refillResource)