function string:split(inSplitPattern)
	local outResults = {}

	if not self or self == "" then
		return outResults
	end

	local str = ""
	for i = 1, #self do
		local char = self:sub(i, i)
		if char == inSplitPattern then
			outResults[str] = true
			str = ""
		else
			str = str ..char
		end
	end
	outResults[str] = true
	
	return outResults
end